summaryrefslogtreecommitdiffstats
path: root/test/run_run_test.sh
diff options
context:
space:
mode:
authorQC <qball@gmpclient.org>2014-08-29 17:26:47 +0200
committerQC <qball@gmpclient.org>2014-08-29 17:26:47 +0200
commit23136e12a765a1431038573d92a4c33c2cc5e5df (patch)
tree631eabe6b72d625637e44a9043e0adcf800d4c7d /test/run_run_test.sh
parenta20e2a5ed9267bf43c8df274bd23b2d3eccc3e68 (diff)
Add another small test.
Diffstat (limited to 'test/run_run_test.sh')
-rwxr-xr-xtest/run_run_test.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/test/run_run_test.sh b/test/run_run_test.sh
new file mode 100755
index 00000000..92f2e2ac
--- /dev/null
+++ b/test/run_run_test.sh
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+
+# Create fake X
+Xvfb :203 &
+XPID=$!
+
+# wait till it is up, run rofi with error message
+sleep 1;
+./rofi -rnow -display :203 &
+RPID=$!
+
+# send enter.
+sleep 5;
+DISPLAY=:203 xdotool key 't'
+sleep 0.4
+DISPLAY=:203 xdotool key 'r'
+sleep 0.4
+DISPLAY=:203 xdotool key 'u'
+sleep 0.4
+DISPLAY=:203 xdotool key 'e'
+sleep 0.4
+DISPLAY=:203 xdotool key Return
+
+# Get result, kill xvfb
+wait ${RPID}
+RETV=$?
+kill ${XPID}
+
+sleep 1
+
+exit ${RETV}